Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface SecurityIdentityType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  SecurityIdentityTypeImpl

    public interface SecurityIdentityType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `security-identityType` xsd type

Original Documentation:

The security-identityType specifies whether the caller's
security identity is to be used for the execution of the
methods of the enterprise bean or whether a specific run-as
identity is to be used. It contains an optional description
and a specification of the security identity to be used.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.Boolean` | `isUseCallerIdentity()`
`SecurityIdentityType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityIdentityType<T>` | `removeRunAs()` Removes the `run-as` element
`RunAsType<SecurityIdentityType<T>>` | `runAs()` If not already created, a new `run-as` element will be created and returned.
`SecurityIdentityType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityIdentityType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityIdentityType<T>` | `useCallerIdentity()`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    SecurityIdentityType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `SecurityIdentityType`

### setDescriptionList

    SecurityIdentityType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityIdentityType`

### removeAllDescription

    SecurityIdentityType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `SecurityIdentityType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### useCallerIdentity

    SecurityIdentityType<T> useCallerIdentity()

### isUseCallerIdentity

    java.lang.Boolean isUseCallerIdentity()

### removeRunAs

    SecurityIdentityType<T> removeRunAs()

  Removes the `run-as` element

  Returns:
    the current instance of `SecurityIdentityType`

### runAs

    RunAsType<SecurityIdentityType<T>> runAs()

  If not already created, a new `run-as` element will be created and returned. Otherwise, the existing `run-as` element will be returned.

  Returns:
    the node defined for the element `run-as`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD